<?php

/**
 * @author emrenogay.com
 */

defined( 'ABSPATH' ) or die;

function nogay_generateRandomString($minLength = 7, $maxLength = 8) {
    $characters = 'abcdefghijkmnopqrstuvwxyz0123456789';
    $stringLength = rand($minLength, $maxLength);
    $randomString = '';

    for ($i = 0; $i < $stringLength; $i++) {
        $randomString .= $characters[rand(0, strlen($characters) - 1)];
    }

    if(function_exists('mb_strtolower')){
        $randomString = mb_strtolower($randomString);
    }else{
        $randomString = strtolower($randomString);
    }

    return $randomString;
}

function nogay_is_ssl(){
    return is_ssl() ? 'https://' : 'http://';
}


function generateCdnLinks($is_image = false) {
    $cacheURL = 'cdn.ampproject.org';

    $amp_domain = get_field('nogay_amp_domain', 'option');
    $amp_domain = !empty($amp_domain) ? $amp_domain : $_SERVER['HTTP_HOST'];
    $amp_domain = strstr($amp_domain, '-') ? str_replace('-', '--', $amp_domain) : $amp_domain;
    $amp_domain = str_replace(['https://', 'http://'], null, $amp_domain);
    $amp_domain_hypen = str_replace('.', '-', $amp_domain);


    if ($is_image) {
        $addon = '/i/';
        $nogay_image_is_active_ampcdn = get_field('nogay_image_is_active_ampcdn', 'option');
        $is_active_custom_img_cdn = get_field('nogay_is_active_custom_image_cdn', 'option');
        $nogay_custom_image_cdn = get_field('nogay_custom_image_cdn', 'option');

        if ($nogay_image_is_active_ampcdn && !$is_active_custom_img_cdn) {
            return 'https://' . str_replace('.', '-', $_SERVER['HTTP_HOST']) . '.' . $cacheURL . $addon . $_SERVER['HTTP_HOST'];
        }else{
            return empty($nogay_custom_image_cdn) ? 'https://i0.wp.com/' . $_SERVER['HTTP_HOST'] : $nogay_custom_image_cdn;
        }

    } else {
        $addon = is_ssl() ? '/c/s/' : '/c/';
        $amp_domain_prefix = get_field('nogay_current_amp_domain', 'option');

        if (!empty($amp_domain_prefix) && get_field('nogay_auto_subdomain', 'option')) {
            $result = 'https://' . $amp_domain_prefix . '-' . $amp_domain_hypen . '.' . $cacheURL . $addon . $amp_domain_prefix . '.' . $amp_domain;
        } else {
            $result = 'https://' . $amp_domain_hypen . '.' . $cacheURL . $addon . $amp_domain;
        }
    }

    return $result;
}

function removeQueries($url){
    $parsed_url = parse_url($url);
    if(!empty($parsed_url)){
        $url = $parsed_url['scheme'] . '://' . $parsed_url['host'];
    }

    return $url;
}
