<?php

/**
 * @author emrenogay.com
 */

defined('ABSPATH') or die;

add_filter('acf/settings/show_admin', '__return_false');
add_filter('acf/settings/url', function (){
    return NGY_DMCA_TRILOGY_URI . 'inc/ngf/';
});

if( function_exists('acf_add_local_field_group') ):

    acf_add_local_field_group(array(
        'key' => 'group_64e845c414a7d',
        'title' => 'AMP & DMCA',
        'fields' => array(
            array(
                'key' => 'field_64e845f4821ee',
                'label' => 'AMP iOS & AMP CDN Ayarları',
                'name' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_64e8ea7484788',
                'label' => 'AMP Eklentinizi Seçin',
                'name' => 'ngy_which_amp_plugin',
                'type' => 'select',
                'instructions' => '',
                'required' => 1,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'choices' => array(
                    'betteramp' => 'Better AMP',
                    'ampforwp' => 'AMP for WP (Kırmızı Logosu olan)',
                    'official' => 'Official AMP (Mavi logosu olan)',
                    'other' => 'Diğer AMP Eklentileri',
                ),
                'default_value' => false,
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_64e84606821ef',
                'label' => 'AMP Domain',
                'name' => 'nogay_amp_domain',
                'type' => 'text',
                'instructions' => 'Buraya, AMP\'nin çalışacağı hedef domaini, yani tibsiz olan domaini yazmalısınız.<br>Ek domain kullanmak istiyorsanız boş bırakın.<br>Örnek: https://ampdomain.xyz<br><strong>https:// veya http:// ile birlikte girin.</strong>',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => 'ornek-domain.xyz',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_64e84643906d2',
                'label' => 'AMP CDN Aktifliği',
                'name' => 'nogay_is_active_ampcdn',
                'type' => 'true_false',
                'instructions' => 'Aktif ettiğinizde, iç linkleriniz cdn.ampproject.org linkleri ile değiştirilir.',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 1,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e8987532cd4',
                'label' => 'Resim AMP CDN Aktifliği',
                'name' => 'nogay_image_is_active_ampcdn',
                'type' => 'true_false',
                'instructions' => 'Aktif ettiğinizde, AMP sayfalarınızdaki resimlerin kaynakları cdn.ampproject.org olarak değişir.',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e898abb2d54',
                'label' => 'Custom Resim CDN',
                'name' => 'nogay_is_active_custom_image_cdn',
                'type' => 'true_false',
                'instructions' => 'AMP sayfalardaki resimlerin linklerini cdn.ampproject.org değil de farklı bir servis ile kullanmak isterseniz aktif edebilirsiniz.',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_64e8987532cd4',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e898ec13b1a',
                'label' => 'Custom Resim CDN Servisi',
                'name' => 'nogay_custom_image_cdn',
                'type' => 'text',
                'instructions' => 'Servis uzantısı girin.<br>Örneğin: https://i0.wp.com/siteniz.com',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_64e898abb2d54',
                            'operator' => '==',
                            'value' => '1',
                        ),
                        array(
                            'field' => 'field_64e8987532cd4',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_64e87923b8865',
                'label' => 'DMCA Ayarları',
                'name' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_64e846a8385f6',
                'label' => 'Otomatik Subdomain Aç',
                'name' => 'nogay_auto_subdomain',
                'type' => 'true_false',
                'instructions' => 'Aktif ettiğinizde, AMP domain için otomatik subdomain oluşturacaktır.<br>AMP CDN sayfasına yazdığınız AMP domainin önüne eklenir.',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e8744eb8fff',
                'label' => '/amp/ Ekini Kaldır',
                'name' => 'nogay_remove_amp_prefix',
                'type' => 'true_false',
                'instructions' => '<strong>Özellik kapalıyken:</strong><br>https://amp-domain.xyz/sayfa-adresi/amp/<br><strong>Özellik açıkken:</strong><br>https://amp-domain.xyz/sayfa-adresi/',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e8471ee2a78',
                'label' => 'Kaç Saatte Bir Subdomain Açılsın?',
                'name' => 'nogay_how_many_hours',
                'type' => 'number',
                'instructions' => '6 yazarsanız, 6 saatte bir AMP domain için subdomain oluşturur.',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_64e846a8385f6',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => 6,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => '',
                'max' => '',
                'step' => '',
            ),
            array(
                'key' => 'field_64e8744eb1fbc',
                'label' => 'AMP Domaini Subdomaine Yönlendir',
                'name' => 'amp_domain_redirect_to_ampsub',
                'type' => 'true_false',
                'instructions' => 'Bu özelliği açtığınızda, kullanıcı AMP domaine girer ama subdomain değilse, kayıtlı subdomaine yönlendirir.',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_64e846a8385f6',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_95e8744eb1fhj',
                'label' => 'URL Sonuna Rastgele Sayılar Ekle',
                'name' => 'add_random_nums_end_of_url',
                'type' => 'true_false',
                'instructions' => 'Bu özelliği aktif ettiğinizde AMP linkinin sonuna rastgele sayılar ekler.<br>Örneğin: https://amp-domain.com/sayfa/amp/?v=7216347',
                'required' => 0,
                'conditional_logic' => '',
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e849459134b',
                'label' => 'UYARI!',
                'name' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_64e846a8385f6',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'message' => 'Bu özelliği kullanabilmeniz için <a rel="nofollow" target="_blank" href="https://emrenogay.com/iletisim/">Emre Nogay</a> tarafından entegrasyon işleminin yapılmış olması gerekir.<br>Ayarlarınız zaten yapıldıysa bu mesajı dikkate almayın.',
                'new_lines' => 'wpautop',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_64e877b14a3c6',
                'label' => 'Detaylar',
                'name' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_64e84f250b80f',
                'label' => 'Şu An Açık Olan Subdomain',
                'name' => 'nogay_current_amp_domain',
                'type' => 'text',
                'instructions' => 'Bu alan otomatik değişecek ama isterseniz <strong>manuel değiştirebilirsiniz.</strong>',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_64e846a8385f6',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_64e852f305898',
                'label' => 'Son Güncellenme Tarihi',
                'name' => 'last_update_date',
                'type' => 'text',
                'instructions' => 'AMP domaine eklenen, subdomainin son güncellenme tarihi.',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_64e846a8385f6',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_64e981d1769ff',
                'label' => 'Ek Domaine Masaüstü Girişleri Kapat',
                'name' => 'ngy_block_desktop_logins',
                'type' => 'true_false',
                'instructions' => 'Ek domaine masaüstünden girişler engellenir sadece Google bot ve mobil cihazlara açılır.',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e98bfbdd068',
                'label' => 'Ek Domaine AMP Olmayan Sayfalara Girişleri Kapat',
                'name' => 'ngy_block_if_not_amp',
                'type' => 'true_false',
                'instructions' => 'Ek domaine girildiğinde, eğer içerik AMP değilse erişim engellenir.',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e98bfbdd031',
                'label' => 'Ek Domaine Girildiğinde AMP CDN Adresine Yönlendir',
                'name' => 'ngy_redirect_to_ampcdn',
                'type' => 'true_false',
                'instructions' => 'Ek domaine girildiğinde, Google bot hariç, ana sitenizin AMP CDN adresine yönlendirir.',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e98bfbxc051',
                'label' => 'Ek Domain, Ana Domain Yerine Başka Siteden Çeksin',
                'name' => 'ngy_fetch_another_domain',
                'type' => 'true_false',
                'instructions' => 'Ek domain, ana sitenizden içeriği çekmek yerine, yazacağınız farklı bir siteden çekebilir.<br><strong>http:// veya https:// ile birlikte girin.</strong><br>Örnek: https://farkli.domain.com',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_64e84f250b31c',
                'label' => 'Hangi Siteden Çekim Yapılacak',
                'name' => 'ngy_fetch_another_domain_content',
                'type' => 'text',
                'instructions' => 'Hangi siteden çekim yapılacağını girin.<br>Örnek: https://farkli.domain.com',
                'required' => 1,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_64e98bfbxc051',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'options_page',
                    'operator' => '==',
                    'value' => 'nogay-amp-ios-dmca',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
    ));

endif;
